#ifndef COMMAND_H_INCLUDED
#define COMMAND_H_INCLUDED
#endif // COMMAND_H_INCLUDED

#include <QObject>
#include <QCoreApplication>
#include <QString>
#include <QStringList>
#include <QProcess>


class Command : public QObject {
    Q_OBJECT

    QString m_command;
    QString m_commandResult;
    int m_waitForStartTimeout;
    int m_waitForFinishTimeout;

public:
    explicit Command(QString const &command,
                     int start_timeout = 100000,
                     int finish_timeout = 100000);

    QString getCommandResult() const;

    bool execute(QString workingDirectory = QCoreApplication::applicationDirPath());

private slots:
    void readyReadStandardOutput();
    void readyReadStandardError();
    void finished(int exitCode, QProcess::ExitStatus exitStatus);
};
